[PAB3] Specifications for lang detection on Portal
Closed, ResolvedPublic

Description

Build an A/B test that will test a feature which detects the user's language and re-sorts the links around the globe on the Wikipedia portal in line with their preferred language settings.

If they do not have as many language preferences as there are available links to display, fill the remainder links around the globe with the "top" links that are not in their language preferences.

If they do not have a header (lang pref) or we cannot retrieve it, do a full stop and give them the default experience.

We also want to count how many users go directly to the search box.

Logic should look like the following:

  • 1 in 200 people are included in EventLogging
  • Of those 1 in 200 people, 1 in 10 are included in the test
  • Of those 10 people, 5 go in a test group, with the cohort "language-detection-b", and 5 go in a control group, with the cohort name "language-detection-a"
  • The other chunk of the 200 people gets a NULL (the string null, or the MySQL null, we can detect either).
debt created this task.Jan 19 2016, 11:00 PM
debt claimed this task.
debt added subscribers: Deskana, Aklapper, Ironholds and 2 others.
debt edited the task description. (Show Details)Jan 19 2016, 11:18 PM
debt set Security to None.
debt edited the task description. (Show Details)
debt edited the task description. (Show Details)Jan 19 2016, 11:22 PM
debt changed the title from "[PAB2] Specifications for lang detection on Portal" to "[PAB3] Specifications for lang detection on Portal".Jan 20 2016, 8:28 PM
debt removed debt as the assignee of this task.Jan 20 2016, 10:30 PM

This was added to the Discovery-Analysis (Current work) because it needs review from @Ironholds as the primary analyst for the Wikipedia portal work.

debt added a comment.Jan 22 2016, 9:47 PM

Hi @Ironholds,

Thanks for the review - I'll go ahead and close this as good. Please let me know if other changes need to be made! We'll move forward with coding. :)

Cheers,

Deb

debt closed this task as "Resolved".Jan 22 2016, 9:47 PM
debt moved this task from Backlog to Done on the Discovery-Analysis (Current work) board.
debt edited the task description. (Show Details)Jan 28 2016, 9:02 PM
debt moved this task from Needs triage to UX on the Discovery board.Feb 4 2016, 8:49 PM

@Jdrewniak which JS file(s) have the sampling and condition-assigning logic? Just want to verify a few things.

@mpopov the code for bucketing users into test groups for event-logging is in this file
https://gerrit.wikimedia.org/r/#/c/273900/3/dev/wikipedia.org/assets/js/wm-test.js
The getTestGroup() function does all that work.